<script>
    import { createEventDispatcher } from 'svelte';
    import Recording from './Recording.svelte';
    import DateTime from './DateTime.svelte';


    const dispatch = createEventDispatcher();

    export let meeting;
    export let selected = false;

    export let showSelect = false;

    const onSelectionChange = (e) => dispatch('selection-change', e.target.checked);
</script>


<div>

    <div class="header">
        <a class="topic" href="{meeting.share_url}" target="_blank">{meeting.topic}</a>
    </div>

    <div class="body">
        <div class="magn">
            <div class="start">
                <DateTime datetime="{meeting.start_time}"/>
            </div>
            <div class="size">{(meeting.total_size / (1024 * 1024)).toFixed(2)}MB</div>
            <div class="select">
                <label class="select__label" class:hidden="{!showSelect}">
                    select:
                    <input type="checkbox" bind:checked="{selected}" on:change="{onSelectionChange}"/>
                </label>
            </div>
        </div>

        <div class="recordings">
            <h4 class="recordings__title">Recordings</h4>
            <hr>
            <div class="recordings__list">
                {#each meeting.recording_files as rec (rec.id)}
                    <div class="rec">
                        <Recording rec="{rec}"/>
                    </div>
                {/each}
            </div>
        </div>
    </div>
</div>


<style>

    .header {
        margin-bottom: 0.3em;
    }

    .magn {
        display: grid;
        grid-template-columns: auto auto 1fr;
        justify-content: start;
        font-size: 0.8em;
        align-items: center;
    }

    .magn>div {
        margin-right: 1em;
    }

    .select {
        font-size: 1.1em;
        justify-self: end;
        color: var(--c-s);
    }

    .select__label>input {
        height: 0.9em;
        width: 0.9em;
    }

    .topic {
        color: var(--c-s);
        font-weight: bold;
    }

    .recordings {
        margin-top: 0.7em;
    }

    h4, hr {
        margin: 0em;
    }

    .recordings__list {
        margin: 0em 0 0 2em;
    }

    .rec {
        margin-top: 0.3em;
        max-width: 25em;
        border: 1px dotted #777;
        border-radius: 0.3em;
        padding: 0.3em;
    }

</style>
